/*******************************************************************************
* File Name: MP3_BSYNC.h  
* Version 2.0
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2014, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_MP3_BSYNC_H) /* Pins MP3_BSYNC_H */
#define CY_PINS_MP3_BSYNC_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "MP3_BSYNC_aliases.h"

/* Check to see if required defines such as CY_PSOC5A are available */
/* They are defined starting with cy_boot v3.0 */
#if !defined (CY_PSOC5A)
    #error Component cy_pins_v2_0 requires cy_boot v3.0 or later
#endif /* (CY_PSOC5A) */

/* APIs are not generated for P15[7:6] */
#if !(CY_PSOC5A &&\
	 MP3_BSYNC__PORT == 15 && ((MP3_BSYNC__MASK & 0xC0) != 0))


/***************************************
*        Function Prototypes             
***************************************/    

void    MP3_BSYNC_Write(uint8 value) ;
void    MP3_BSYNC_SetDriveMode(uint8 mode) ;
uint8   MP3_BSYNC_ReadDataReg(void) ;
uint8   MP3_BSYNC_Read(void) ;
uint8   MP3_BSYNC_ClearInterrupt(void) ;


/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define MP3_BSYNC_DM_ALG_HIZ         PIN_DM_ALG_HIZ
#define MP3_BSYNC_DM_DIG_HIZ         PIN_DM_DIG_HIZ
#define MP3_BSYNC_DM_RES_UP          PIN_DM_RES_UP
#define MP3_BSYNC_DM_RES_DWN         PIN_DM_RES_DWN
#define MP3_BSYNC_DM_OD_LO           PIN_DM_OD_LO
#define MP3_BSYNC_DM_OD_HI           PIN_DM_OD_HI
#define MP3_BSYNC_DM_STRONG          PIN_DM_STRONG
#define MP3_BSYNC_DM_RES_UPDWN       PIN_DM_RES_UPDWN

/* Digital Port Constants */
#define MP3_BSYNC_MASK               MP3_BSYNC__MASK
#define MP3_BSYNC_SHIFT              MP3_BSYNC__SHIFT
#define MP3_BSYNC_WIDTH              1u


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define MP3_BSYNC_PS                     (* (reg8 *) MP3_BSYNC__PS)
/* Data Register */
#define MP3_BSYNC_DR                     (* (reg8 *) MP3_BSYNC__DR)
/* Port Number */
#define MP3_BSYNC_PRT_NUM                (* (reg8 *) MP3_BSYNC__PRT) 
/* Connect to Analog Globals */                                                  
#define MP3_BSYNC_AG                     (* (reg8 *) MP3_BSYNC__AG)                       
/* Analog MUX bux enable */
#define MP3_BSYNC_AMUX                   (* (reg8 *) MP3_BSYNC__AMUX) 
/* Bidirectional Enable */                                                        
#define MP3_BSYNC_BIE                    (* (reg8 *) MP3_BSYNC__BIE)
/* Bit-mask for Aliased Register Access */
#define MP3_BSYNC_BIT_MASK               (* (reg8 *) MP3_BSYNC__BIT_MASK)
/* Bypass Enable */
#define MP3_BSYNC_BYP                    (* (reg8 *) MP3_BSYNC__BYP)
/* Port wide control signals */                                                   
#define MP3_BSYNC_CTL                    (* (reg8 *) MP3_BSYNC__CTL)
/* Drive Modes */
#define MP3_BSYNC_DM0                    (* (reg8 *) MP3_BSYNC__DM0) 
#define MP3_BSYNC_DM1                    (* (reg8 *) MP3_BSYNC__DM1)
#define MP3_BSYNC_DM2                    (* (reg8 *) MP3_BSYNC__DM2) 
/* Input Buffer Disable Override */
#define MP3_BSYNC_INP_DIS                (* (reg8 *) MP3_BSYNC__INP_DIS)
/* LCD Common or Segment Drive */
#define MP3_BSYNC_LCD_COM_SEG            (* (reg8 *) MP3_BSYNC__LCD_COM_SEG)
/* Enable Segment LCD */
#define MP3_BSYNC_LCD_EN                 (* (reg8 *) MP3_BSYNC__LCD_EN)
/* Slew Rate Control */
#define MP3_BSYNC_SLW                    (* (reg8 *) MP3_BSYNC__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define MP3_BSYNC_PRTDSI__CAPS_SEL       (* (reg8 *) MP3_BSYNC__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define MP3_BSYNC_PRTDSI__DBL_SYNC_IN    (* (reg8 *) MP3_BSYNC__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define MP3_BSYNC_PRTDSI__OE_SEL0        (* (reg8 *) MP3_BSYNC__PRTDSI__OE_SEL0) 
#define MP3_BSYNC_PRTDSI__OE_SEL1        (* (reg8 *) MP3_BSYNC__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define MP3_BSYNC_PRTDSI__OUT_SEL0       (* (reg8 *) MP3_BSYNC__PRTDSI__OUT_SEL0) 
#define MP3_BSYNC_PRTDSI__OUT_SEL1       (* (reg8 *) MP3_BSYNC__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define MP3_BSYNC_PRTDSI__SYNC_OUT       (* (reg8 *) MP3_BSYNC__PRTDSI__SYNC_OUT) 


#if defined(MP3_BSYNC__INTSTAT)  /* Interrupt Registers */

    #define MP3_BSYNC_INTSTAT                (* (reg8 *) MP3_BSYNC__INTSTAT)
    #define MP3_BSYNC_SNAP                   (* (reg8 *) MP3_BSYNC__SNAP)

#endif /* Interrupt Registers */

#endif /* CY_PSOC5A... */

#endif /*  CY_PINS_MP3_BSYNC_H */


/* [] END OF FILE */
