/*******************************************************************************
* File Name: MP3_DREQ.h  
* Version 2.0
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2014, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_MP3_DREQ_H) /* Pins MP3_DREQ_H */
#define CY_PINS_MP3_DREQ_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "MP3_DREQ_aliases.h"

/* Check to see if required defines such as CY_PSOC5A are available */
/* They are defined starting with cy_boot v3.0 */
#if !defined (CY_PSOC5A)
    #error Component cy_pins_v2_0 requires cy_boot v3.0 or later
#endif /* (CY_PSOC5A) */

/* APIs are not generated for P15[7:6] */
#if !(CY_PSOC5A &&\
	 MP3_DREQ__PORT == 15 && ((MP3_DREQ__MASK & 0xC0) != 0))


/***************************************
*        Function Prototypes             
***************************************/    

void    MP3_DREQ_Write(uint8 value) ;
void    MP3_DREQ_SetDriveMode(uint8 mode) ;
uint8   MP3_DREQ_ReadDataReg(void) ;
uint8   MP3_DREQ_Read(void) ;
uint8   MP3_DREQ_ClearInterrupt(void) ;


/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define MP3_DREQ_DM_ALG_HIZ         PIN_DM_ALG_HIZ
#define MP3_DREQ_DM_DIG_HIZ         PIN_DM_DIG_HIZ
#define MP3_DREQ_DM_RES_UP          PIN_DM_RES_UP
#define MP3_DREQ_DM_RES_DWN         PIN_DM_RES_DWN
#define MP3_DREQ_DM_OD_LO           PIN_DM_OD_LO
#define MP3_DREQ_DM_OD_HI           PIN_DM_OD_HI
#define MP3_DREQ_DM_STRONG          PIN_DM_STRONG
#define MP3_DREQ_DM_RES_UPDWN       PIN_DM_RES_UPDWN

/* Digital Port Constants */
#define MP3_DREQ_MASK               MP3_DREQ__MASK
#define MP3_DREQ_SHIFT              MP3_DREQ__SHIFT
#define MP3_DREQ_WIDTH              1u


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define MP3_DREQ_PS                     (* (reg8 *) MP3_DREQ__PS)
/* Data Register */
#define MP3_DREQ_DR                     (* (reg8 *) MP3_DREQ__DR)
/* Port Number */
#define MP3_DREQ_PRT_NUM                (* (reg8 *) MP3_DREQ__PRT) 
/* Connect to Analog Globals */                                                  
#define MP3_DREQ_AG                     (* (reg8 *) MP3_DREQ__AG)                       
/* Analog MUX bux enable */
#define MP3_DREQ_AMUX                   (* (reg8 *) MP3_DREQ__AMUX) 
/* Bidirectional Enable */                                                        
#define MP3_DREQ_BIE                    (* (reg8 *) MP3_DREQ__BIE)
/* Bit-mask for Aliased Register Access */
#define MP3_DREQ_BIT_MASK               (* (reg8 *) MP3_DREQ__BIT_MASK)
/* Bypass Enable */
#define MP3_DREQ_BYP                    (* (reg8 *) MP3_DREQ__BYP)
/* Port wide control signals */                                                   
#define MP3_DREQ_CTL                    (* (reg8 *) MP3_DREQ__CTL)
/* Drive Modes */
#define MP3_DREQ_DM0                    (* (reg8 *) MP3_DREQ__DM0) 
#define MP3_DREQ_DM1                    (* (reg8 *) MP3_DREQ__DM1)
#define MP3_DREQ_DM2                    (* (reg8 *) MP3_DREQ__DM2) 
/* Input Buffer Disable Override */
#define MP3_DREQ_INP_DIS                (* (reg8 *) MP3_DREQ__INP_DIS)
/* LCD Common or Segment Drive */
#define MP3_DREQ_LCD_COM_SEG            (* (reg8 *) MP3_DREQ__LCD_COM_SEG)
/* Enable Segment LCD */
#define MP3_DREQ_LCD_EN                 (* (reg8 *) MP3_DREQ__LCD_EN)
/* Slew Rate Control */
#define MP3_DREQ_SLW                    (* (reg8 *) MP3_DREQ__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define MP3_DREQ_PRTDSI__CAPS_SEL       (* (reg8 *) MP3_DREQ__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define MP3_DREQ_PRTDSI__DBL_SYNC_IN    (* (reg8 *) MP3_DREQ__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define MP3_DREQ_PRTDSI__OE_SEL0        (* (reg8 *) MP3_DREQ__PRTDSI__OE_SEL0) 
#define MP3_DREQ_PRTDSI__OE_SEL1        (* (reg8 *) MP3_DREQ__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define MP3_DREQ_PRTDSI__OUT_SEL0       (* (reg8 *) MP3_DREQ__PRTDSI__OUT_SEL0) 
#define MP3_DREQ_PRTDSI__OUT_SEL1       (* (reg8 *) MP3_DREQ__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define MP3_DREQ_PRTDSI__SYNC_OUT       (* (reg8 *) MP3_DREQ__PRTDSI__SYNC_OUT) 


#if defined(MP3_DREQ__INTSTAT)  /* Interrupt Registers */

    #define MP3_DREQ_INTSTAT                (* (reg8 *) MP3_DREQ__INTSTAT)
    #define MP3_DREQ_SNAP                   (* (reg8 *) MP3_DREQ__SNAP)

#endif /* Interrupt Registers */

#endif /* CY_PSOC5A... */

#endif /*  CY_PINS_MP3_DREQ_H */


/* [] END OF FILE */
