/*******************************************************************************
* File Name: TFT_1_TFT_RST.h  
* Version 1.90
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2012, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_TFT_1_TFT_RST_H) /* Pins TFT_1_TFT_RST_H */
#define CY_PINS_TFT_1_TFT_RST_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "TFT_1_TFT_RST_aliases.h"

/* Check to see if required defines such as CY_PSOC5A are available */
/* They are defined starting with cy_boot v3.0 */
#if !defined (CY_PSOC5A)
    #error Component cy_pins_v1_90 requires cy_boot v3.0 or later
#endif /* (CY_PSOC5A) */

/* APIs are not generated for P15[7:6] */
#if !(CY_PSOC5A &&\
	 TFT_1_TFT_RST__PORT == 15 && ((TFT_1_TFT_RST__MASK & 0xC0) != 0))


/***************************************
*        Function Prototypes             
***************************************/    

void    TFT_1_TFT_RST_Write(uint8 value) ;
void    TFT_1_TFT_RST_SetDriveMode(uint8 mode) ;
uint8   TFT_1_TFT_RST_ReadDataReg(void) ;
uint8   TFT_1_TFT_RST_Read(void) ;
uint8   TFT_1_TFT_RST_ClearInterrupt(void) ;


/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define TFT_1_TFT_RST_DM_ALG_HIZ         PIN_DM_ALG_HIZ
#define TFT_1_TFT_RST_DM_DIG_HIZ         PIN_DM_DIG_HIZ
#define TFT_1_TFT_RST_DM_RES_UP          PIN_DM_RES_UP
#define TFT_1_TFT_RST_DM_RES_DWN         PIN_DM_RES_DWN
#define TFT_1_TFT_RST_DM_OD_LO           PIN_DM_OD_LO
#define TFT_1_TFT_RST_DM_OD_HI           PIN_DM_OD_HI
#define TFT_1_TFT_RST_DM_STRONG          PIN_DM_STRONG
#define TFT_1_TFT_RST_DM_RES_UPDWN       PIN_DM_RES_UPDWN

/* Digital Port Constants */
#define TFT_1_TFT_RST_MASK               TFT_1_TFT_RST__MASK
#define TFT_1_TFT_RST_SHIFT              TFT_1_TFT_RST__SHIFT
#define TFT_1_TFT_RST_WIDTH              1u


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define TFT_1_TFT_RST_PS                     (* (reg8 *) TFT_1_TFT_RST__PS)
/* Data Register */
#define TFT_1_TFT_RST_DR                     (* (reg8 *) TFT_1_TFT_RST__DR)
/* Port Number */
#define TFT_1_TFT_RST_PRT_NUM                (* (reg8 *) TFT_1_TFT_RST__PRT) 
/* Connect to Analog Globals */                                                  
#define TFT_1_TFT_RST_AG                     (* (reg8 *) TFT_1_TFT_RST__AG)                       
/* Analog MUX bux enable */
#define TFT_1_TFT_RST_AMUX                   (* (reg8 *) TFT_1_TFT_RST__AMUX) 
/* Bidirectional Enable */                                                        
#define TFT_1_TFT_RST_BIE                    (* (reg8 *) TFT_1_TFT_RST__BIE)
/* Bit-mask for Aliased Register Access */
#define TFT_1_TFT_RST_BIT_MASK               (* (reg8 *) TFT_1_TFT_RST__BIT_MASK)
/* Bypass Enable */
#define TFT_1_TFT_RST_BYP                    (* (reg8 *) TFT_1_TFT_RST__BYP)
/* Port wide control signals */                                                   
#define TFT_1_TFT_RST_CTL                    (* (reg8 *) TFT_1_TFT_RST__CTL)
/* Drive Modes */
#define TFT_1_TFT_RST_DM0                    (* (reg8 *) TFT_1_TFT_RST__DM0) 
#define TFT_1_TFT_RST_DM1                    (* (reg8 *) TFT_1_TFT_RST__DM1)
#define TFT_1_TFT_RST_DM2                    (* (reg8 *) TFT_1_TFT_RST__DM2) 
/* Input Buffer Disable Override */
#define TFT_1_TFT_RST_INP_DIS                (* (reg8 *) TFT_1_TFT_RST__INP_DIS)
/* LCD Common or Segment Drive */
#define TFT_1_TFT_RST_LCD_COM_SEG            (* (reg8 *) TFT_1_TFT_RST__LCD_COM_SEG)
/* Enable Segment LCD */
#define TFT_1_TFT_RST_LCD_EN                 (* (reg8 *) TFT_1_TFT_RST__LCD_EN)
/* Slew Rate Control */
#define TFT_1_TFT_RST_SLW                    (* (reg8 *) TFT_1_TFT_RST__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define TFT_1_TFT_RST_PRTDSI__CAPS_SEL       (* (reg8 *) TFT_1_TFT_RST__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define TFT_1_TFT_RST_PRTDSI__DBL_SYNC_IN    (* (reg8 *) TFT_1_TFT_RST__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define TFT_1_TFT_RST_PRTDSI__OE_SEL0        (* (reg8 *) TFT_1_TFT_RST__PRTDSI__OE_SEL0) 
#define TFT_1_TFT_RST_PRTDSI__OE_SEL1        (* (reg8 *) TFT_1_TFT_RST__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define TFT_1_TFT_RST_PRTDSI__OUT_SEL0       (* (reg8 *) TFT_1_TFT_RST__PRTDSI__OUT_SEL0) 
#define TFT_1_TFT_RST_PRTDSI__OUT_SEL1       (* (reg8 *) TFT_1_TFT_RST__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define TFT_1_TFT_RST_PRTDSI__SYNC_OUT       (* (reg8 *) TFT_1_TFT_RST__PRTDSI__SYNC_OUT) 


#if defined(TFT_1_TFT_RST__INTSTAT)  /* Interrupt Registers */

    #define TFT_1_TFT_RST_INTSTAT                (* (reg8 *) TFT_1_TFT_RST__INTSTAT)
    #define TFT_1_TFT_RST_SNAP                   (* (reg8 *) TFT_1_TFT_RST__SNAP)

#endif /* Interrupt Registers */

#endif /* CY_PSOC5A... */

#endif /*  CY_PINS_TFT_1_TFT_RST_H */


/* [] END OF FILE */
