#ifndef JPEG_H
#define JPEG_H  
 
#include <device.h>

/**
  * @brief  Writes a JPG/JPEG inage on display. Pointer to data string should be at image
  					and coordinates where image should be displayed are left and top.
  * @param  left : Start X position of the image.
  * @param  top  : Start Y position of the image.
  * @param  image  : pointer to data array (containing image data)
  * @retval 0 - if image is loaded and displayed successfully. 
						1 - if error occured. 
  */
uint8 TFT_Image_Jpeg(uint16 left, uint16 top, const uint8 *image);

#endif
